#!/bin/sh

. /var/http/web-functions
. /etc/coyote/coyote.conf
. /tmp/netsubsys.state

cl_header2 "DCHP Server Configuration"

if [ "$FORM_OKBTN" = "Submit" ]; then

	if [ "$FORM_DHCPSERVER" = "YES" ]; then
		if [ -z "$FORM_DHCPD_START_IP" ] || [ -z "$FORM_DHCPD_END_IP" ]; then
			echo "<center><b>You must specify at least a start and end IP address.</b></center>"
			cl_footer2
			exit	
		fi
	fi
	DHCPSERVER=$FORM_DHCPSERVER
	DHCPD_START_IP=$FORM_DHCPD_START_IP
	DHCPD_END_IP=$FORM_DHCPD_END_IP
	DHCPD_DOMAIN=$FORM_DHCPD_DOMAIN
	DHCPD_DNS1=$FORM_DHCPD_DNS1
	DHCPD_DNS2=$FORM_DHCPD_DNS2
	DHCPD_WINS1=$FORM_DHCPD_WINS1
	DHCPD_WINS2=$FORM_DHCPD_WINS2
	
	cl_rebuildconf
	
	if [ "$DHCPSERVER" = "YES" ]; then
		/usr/sbin/mkdhcpconf.sh $IF_LOCAL
		echo "<br>"
		if [ -r /var/run/udhcpd.pid ]; then
			echo "Restarting DHCP server...<br><br>"
			kill `cat /var/run/udhcpd.pid`
		else
			echo "Starting DHCP Server...<br><br>"
		fi
		/usr/sbin/udhcpd /etc/udhcpd.conf 1> /dev/null 2> /dev/null
	else
		if [ -r /var/run/udhcpd.pid ]; then
			echo "Stopping DHCP server...<br><br>"
			kill `cat /var/run/udhcpd.pid`
		fi
	fi		
	
	echo "<center><b>Coyote Linux configuration has been updated. You need to backup your configuration and reboot for it to take affect.</b></center>"	
	cl_footer2
	exit

else

	if [ "$DHCPSERVER" = "YES" ]; then
        	CHK1=
		CHK2=checked
	else
        	CHK1=checked
		CHK2=
	fi

cat << CLEOF

<center>
<form method="POST" action="/cgi-bin/dhcpconf.cgi">
  <table border="0" width="100%">
    <tr>
      <td width="100%" colspan=2 bgcolor="#000080">
        <p align="center"><font color="#FFFFFF"><b>DHCP Server Configuration</b></font></p>
      </td>
    </tr>
    <tr>
      <td width="50%" align="right">
      <input type="radio" value="NO" ${CHK1} name="DHCPSERVER"><b>Disabled</b></td>
      <td width="50%"><input type="radio" name="DHCPSERVER" ${CHK2} value="YES"><b>Enabled</b></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Starting IP Address</b></td>
      <td width="50%"><input type="text" name="DHCPD_START_IP" size="20" value="${DHCPD_START_IP}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Ending IP Address</b></td>
      <td width="50%"><input type="text" name="DHCPD_END_IP" size="20" value="${DHCPD_END_IP}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Domain</b></td>
      <td width="50%"><input type="text" name="DHCPD_DOMAIN" size="20" value="${DHCPD_DOMAIN}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Primary DNS</b></td>
      <td width="50%"><input type="text" name="DHCPD_DNS1" size="20" value="${DHCPD_DNS1}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Secondary DNS</b></td>
      <td width="50%"><input type="text" name="DHCPD_DNS2" size="20" value="${DHCPD_DNS2}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Primary WINS</b></td>
      <td width="50%"><input type="text" name="DHCPD_WINS1" size="20" value="${DHCPD_WINS1}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Secondary WINS</b></td>
      <td width="50%"><input type="text" name="DHCPD_WINS2" size="20" value="${DHCPD_WINS2}"></td>
    </tr>
  </table>
  <p align="center"><input type="submit" value="Submit" name="OKBTN"><input type="reset" value="Reset" name="B2"></p>
</form>
</center>

CLEOF

fi

cl_footer2
