#!/bin/sh
#
# Creates the correct dhcpd.conf file from the info obtained from
# the resolv.conf file
#

if [ -z "$1" ]; then
    echo "Usage mkdhcpconf.sh <internface>"
    exit 1
fi

echo "Generating DHCP Configuration file..."

TMP_DIR=/tmp

. /etc/coyote/coyote.conf

if [ -z "$DHCPD_DOMAIN" ]; then

	DHCPD_DOMAIN=`cat /etc/resolv.conf | grep "domain " | cut -f 2 -d " "`

	if [ -z "$DHCPD_DOMAIN" ]; then
    		DHCPD_DOMAIN=`cat /etc/resolv.conf | grep "search " | cut -f 2 -d " "`
	fi

	if [ -z "$DHCPD_DOMAIN" ]; then
    		if [ -z "$DOMAINNAME" ]; then
			DHCPD_DOMAIN=localdomain
    		else
			DHCPD_DOMAIN="$DOMAINNAME"
    		fi	
	fi
fi

echo "start $DHCPD_START_IP" > /etc/udhcpd.conf
echo "end $DHCPD_END_IP" >> /etc/udhcpd.conf
echo "opt domain $DHCPD_DOMAIN" >> /etc/udhcpd.conf
echo "opt lease 7200" >> /etc/udhcpd.conf
echo "interface $1" >> /etc/udhcpd.conf
echo "lease_file /var/state/dhcp/dhcpd.leases" >> /etc/udhcpd.conf

if [ "$USE_DNS_CACHE" = "YES" ]; then
    echo "opt dns $LOCAL_IPADDR" >> /etc/udhcpd.conf    
else
	if [ ! -z "$DHCPD_DNS1" ]; then
		echo "opt dns $DHCPD_DNS1" >> /etc/udhcpd.conf
		[ -z "$DHCPD_DNS2" ] || echo "opt dns $DHCPD_DNS2" >> /etc/udhcpd.conf 
	else
    		cat /etc/resolv.conf | grep "nameserver " | while read NAMETMP; do
			DNSSRV=`echo $NAMETMP | cut -f 2 -d " "`
			if ! [ -z "$DNSSRV" ]; then
	    			echo "opt dns $DNSSRV" >> /etc/udhcpd.conf
			else
				echo "opt dns $LOCAL_IPADDR" >> /etc/udhcpd.conf
			fi
	   	done
	fi
fi

[ -z "$DHCPD_WINS1" ] || echo "opt wins $DHCPD_WINS1" >> /etc/udhcpd.conf
[ -z "$DHCPD_WINS2" ] || echo "opt wins $DHCPD_WINS2" >> /etc/udhcpd.conf


echo "opt subnet $LOCAL_NETMASK" >> /etc/udhcpd.conf
echo "opt router $LOCAL_IPADDR" >> /etc/udhcpd.conf
